#!/bin/sh
# $Id: reboot.sh,v 1.3 2007/05/07 07:07:00 smi Exp $
#
# reboot script called by watchman.
#
# reboot.sh {EXITED | SIGNALED} { exitcode | signal-number }
#
cause=$1
code=$2

set +x
(

if [ -z "$cause" ]; then
	echo "$0: \$cause argument not set."
	exit 1
fi
if [ $cause = SIGNALED ]; then
	if [ -z "$code" ]; then
		echo "$0: \$code argument not set."
		exit 1
	fi
	if [ $code -eq 2 -o $code -eq 15 ]; then
		echo "******* WATCHMAN detected gemini abortion (SIGINT or SIGTERM ) ********"
		echo "******* WATCHMAN detected gemini abortion (SIGINT or SIGTERM ) ********"
		echo "******* WATCHMAN detected gemini abortion (SIGINT or SIGTERM ) ********"
		echo "******* WATCHMAN detected gemini abortion (SIGINT or SIGTERM ) ********"
		echo "******* WATCHMAN detected gemini abortion (SIGINT or SIGTERM ) ********"
		exit 0
	fi
fi

echo "******* WATCHMAN detected gemini abortion ********"
echo "******* WATCHMAN detected gemini abortion ********"
echo "******* WATCHMAN detected gemini abortion ********"
echo "******* WATCHMAN detected gemini abortion ********"
echo "******* WATCHMAN detected gemini abortion ********"

if [ -x /usr/local/bin/glogctl ]; then
	echo "***** flush GEMINILOG *****"
	/usr/local/bin/glogctl flush
fi

umount /contents
umount /var
umount /db

e2fsck /dev/db_part
e2fsck /dev/var_part

for _I in 15 14 13 12 11 10 9 8 7 6 5 4 3 2 1; do
	echo "****** REBOOTING in $_I seconds !!! ******"
	sleep 1
done
reboot
)  > /dev/console 2>&1
